description: The DRP pipeline specialized for the HSC instrument
instrument: lsst.obs.subaru.HyperSuprimeCam
imports:
  - $PIPE_TASKS_DIR/pipelines/DRP.yaml
tasks:
  skyCorr:
    class: lsst.pipe.drivers.skyCorrection.SkyCorrectionTask
  makeWarp:
    class: lsst.pipe.tasks.makeCoaddTempExp.MakeWarpTask
    config:
      python: >
        from lsst.pipe.tasks.selectImages import PsfWcsSelectImagesTask;
        config.select.retarget(PsfWcsSelectImagesTask)
  forcedPhotCcd:
    class: lsst.meas.base.forcedPhotCcd.ForcedPhotCcdTask
    config:
      # The application of external calibrations doesn't work with Gen3 now (DM-17062)
      doApplyExternalPhotoCalib: false
      doApplyExternalSkyWcs: false
      doApplySkyCorr: false
subsets:
  multiVisit:
    subset:
      - makeWarp
      - assembleCoadd
      - detection
      - mergeDetections
      - deblend
      - measure
      - mergeMeasurements
      - forcedPhotCcd
      - forcedPhotCoadd
